import React from 'react';
import {
    Dimensions,
    StyleSheet,
    Text,
    StyleProp,
    TextProps
} from 'react-native';
interface PropsCustomerText {
    size:number,
    style:StyleProp<TextProps>
}
const { width } = Dimensions.get("window");

const getAdjustedFontSize = (size:string) =>  {
    return parseInt(size) * width * (1.8 - 0.002 * width) / 400;
}

class ScaleText extends React.Component<PropsCustomerText> {
    constructor(props:PropsCustomerText){
        super(props)
    }
    render() {
        return (
            <Text  style={[this.props.style,{ fontSize: getAdjustedFontSize(this.props.size) }]} {...this.props} >{this.props.children}</Text>
        );
    }
}
export default ScaleText;